Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PrintParams Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PrintParams ()
| Constructor.
def | PrintParams (print_params)
| Constructor, with another print parameters object. More...

## Static Public Attributes
| binding = _fsdk.PrintParams_binding
| The value determines the paper binding direction and the page arrange order. Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_BookletBindingRight and this should be one of these values.
| booklet_duplex_mode = _fsdk.PrintParams_booklet_duplex_mode
| The value determines the duplex printing mode when printing a booklet.Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_BookletDuplexModeBothSides and this should be one of these values.
| duplex_type = _fsdk.PrintParams_duplex_type
| Sets the printing duplex mode to simplex, duplex long edge, or duplex short edge feed. Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_DuplexTypeSimplex and this should be one of these values.
| e_BookletBindingLeft = _fsdk.PrintParams_e_BookletBindingLeft
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the short side.
| e_BookletBindingLeftTall = _fsdk.PrintParams_e_BookletBindingLeftTall
| Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the long side producing long and narrow pages.
| e_BookletBindingRight = _fsdk.PrintParams_e_BookletBindingRight
| Booklet Binding: Left-side binding for Western-style left-to-right reading direction. The paper is folded on the short side.
| e_BookletBindingRightTall = _fsdk.PrintParams_e_BookletBindingRightTall
| Booklet Binding: Right-side binding for text with right-to-left reading direction or Japanese-style vertical writing. The paper is folded on the long side producing long and narrow pages.
| e_BookletDuplexModeBackSideOnly = _fsdk.PrintParams_e_BookletDuplexModeBackSideOnly
| Booklet Duplex Mode: only prints all pages that appear on the back side of the paper.
| e_BookletDuplexModeBothSides = _fsdk.PrintParams_e_BookletDuplexModeBothSides
| Booklet Duplex Mode: automatically prints both sides of the paper.
| e_BookletDuplexModeFrontSideOnly = _fsdk.PrintParams_e_BookletDuplexModeFrontSideOnly
| Booklet Duplex Mode: only prints all pages that appear on the front side of the paper.
| e_DuplexTypeDuplexFlipLongEdge = _fsdk.PrintParams_e_DuplexTypeDuplexFlipLongEdge
| Duplex type: prints on both sides of the paper; the paper flips along the long edge.
| e_DuplexTypeDuplexFlipShortEdge = _fsdk.PrintParams_e_DuplexTypeDuplexFlipShortEdge
| Duplex type: prints on both sides of the paper; the paper flips along the short edge.
| e_DuplexTypeSimplex = _fsdk.PrintParams_e_DuplexTypeSimplex
| Duplex type: prints on one side of the paper.
| e_PageOrderHorizontal = _fsdk.PrintParams_e_PageOrderHorizontal
| Page Order type: pages are placed from left to right, from top to bottom.
| e_PageOrderHorizontalReversed = _fsdk.PrintParams_e_PageOrderHorizontalReversed
| Page Order type: pages are placed from right to left, from top to bottom.
| e_PageOrderVertical = _fsdk.PrintParams_e_PageOrderVertical
| Page Order type: pages are placed from top to bottom, from left to right.
| e_PrintContentDocAndAnnots = _fsdk.PrintParams_e_PrintContentDocAndAnnots
| Print Content: print the document contents and comments.
| e_PrintContentDocument = _fsdk.PrintParams_e_PrintContentDocument
| Print Content: print the document contents, not comments.
| e_PrintContentFormFieldsOnly = _fsdk.PrintParams_e_PrintContentFormFieldsOnly
| Print Content: print the contents of form fields only. Useful for printing onto pre-preprinted forms.
| e_PrintHandlingBooklet = _fsdk.PrintParams_e_PrintHandlingBooklet
| Print Handling: Prints multiple pages on the same sheet of paper in the order required to read correctly when folded.
| e_PrintHandlingFitPaper = _fsdk.PrintParams_e_PrintHandlingFitPaper
| Print Handling: Pages are enlarged or shrunk to fit the printe's paper.
| e_PrintHandlingMultiplePages = _fsdk.PrintParams_e_PrintHandlingMultiplePages
| Print Handling: Pages are rescaled to print multiple pages on each printer page.
| e_PrintHandlingNone = _fsdk.PrintParams_e_PrintHandlingNone
| Print Handling: No page scaling is applied.
| e_PrintHandlingReducePaper = _fsdk.PrintParams_e_PrintHandlingReducePaper
| Print Handling: Small pages are printed small, and large pages are shrunk to fit on the printer's paper.
| e_PrintHandlingTileLargePages = _fsdk.PrintParams_e_PrintHandlingTileLargePages
| Print Handling: Small or normal pages are printed in the original size and large pages are printed on multiple sheets of paper.
| handling = _fsdk.PrintParams_handling
| The print handling type.Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_PrintHandlingNone and this should be one of these values.
| is_print_as_image = _fsdk.PrintParams_is_print_as_image
| true means that pages should be printed as image.
| is_print_auto_center = _fsdk.PrintParams_is_print_auto_center
| true means that each page is automatically centered relative to the paper.
| is_print_auto_rotate = _fsdk.PrintParams_is_print_auto_rotate
| true means that automatically rotates each page to match the page orientation to the available paper area during Multiple Pages Per Sheet printing. false means not.
| is_print_page_border = _fsdk.PrintParams_is_print_page_border
| A boolean value that if true, draws and prints a page boundary around each of the pages during Multiple Pages Per Sheet printing.
| is_reverse = _fsdk.PrintParams_is_reverse
| true means that the printing order should be from parameter end to parameter start.
| is_show_ui = _fsdk.PrintParams_is_show_ui
| true means that a UI should be presented to the user to obtain printing information and confirm the action.
| is_simulate_overprinting = _fsdk.PrintParams_is_simulate_overprinting
| true means to do overprint preview when printing. false means not.
| is_tile_label = _fsdk.PrintParams_is_tile_label
| Label each page of tiled output. Labeled pages indicate row and column, file name, and print date.
| num_copies = _fsdk.PrintParams_num_copies
| The number of copies to be printed.
| num_pages_h = _fsdk.PrintParams_num_pages_h
| The number of pages to lay out in the horizontal direction when printing Multiple Pages Per Sheet.
| num_pages_v = _fsdk.PrintParams_num_pages_v
| The number of pages to lay out in the vertical direction when printing Multiple Pages Per Sheet.
| output_file_name = _fsdk.PrintParams_output_file_name
| The device-independent path for a file name to be used instead of sending the print job to the printer (Print to File).
| page_order = _fsdk.PrintParams_page_order
| The value determines how the multiple pages are laid out on the sheet. Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_PageOrderHorizontal and this should be one of these values.
| page_range = _fsdk.PrintParams_page_range
| A range object to specify the page range for printing. All the indexes represented in this range would start from 0 and less than page count of the specified document.
| print_content = _fsdk.PrintParams_print_content
| Specif content for printing. Please refer to values starting from FoxitPDFSDKPython3.PrintParams.e_PrintContentDocument and this should be one of these values.
| printer_name = _fsdk.PrintParams_printer_name
| The default printer name for printing.
| tile_mark = _fsdk.PrintParams_tile_mark
| true means to cut the page, and false means not.
| tile_overlap = _fsdk.PrintParams_tile_overlap
| The number of points that tiled pages have in common.
| tile_scale = _fsdk.PrintParams_tile_scale
| The amount that tiled pages are scaled.

## Detailed Description

This class represents print parameters.

## Constructor & Destructor Documentation

## ◆ PrintParams()

def FoxitPDFSDKPython3.PrintParams.PrintParams | ( |  | print_params | ) |

Constructor, with another print parameters object.

Parameters

  [in] | print_params | Another print parameters object.